<div class="min-w-screen min-h-screen bg-gray-100 flex items-center justify-center px-5 py-5">
  <div class="bg-white text-gray-500 rounded-3xl shadow-2xl w-full overflow-hidden" style="max-width:1000px">
    <div class="md:flex w-full">
      <div class="hidden md:block w-1/2 bg-red-500 py-10 px-10">
        <img src="../../../../assets/img/register.png" alt=""/>
      </div>
      <form #registerForm="ngForm" class="w-full md:w-1/2 py-10 px-5 md:px-10" method="post"
            (ngSubmit)="registerForm.form.valid && register(registerForm)">
        <div class="text-center mb-10">
          <h1 class="font-bold text-3xl text-gray-900">Registrarse</h1>
        </div>
        <div>
          <div class="md:flex -mx-3">
            <div class="md:w-1/2 px-3 mb-5">
              <label for="first-name" class="text-xs font-semibold px-1">Nombres</label>
              <div class="flex">
                <div class="w-10 z-10 pl-1 text-center pointer-events-none flex items-center justify-center"><i
                  class="mdi mdi-account-outline text-gray-400 text-lg"></i></div>
                <input id="first-name"
                       name="first-name"
                       type="text"
                       required
                       minlength="2"
                       [(ngModel)]="user.firstName"
                       class="w-full -ml-10 pl-5 pr-3 py-2 rounded-3xl border-2 border-gray-200 outline-none focus:border-indigo-500"
                       placeholder="John">
              </div>
            </div>
            <div class="md:w-1/2 px-3 mb-5">
              <label for="last-name" class="text-xs font-semibold px-1">Apellidos</label>
              <div class="flex">
                <div class="w-10 z-10 pl-1 text-center pointer-events-none flex items-center justify-center"><i
                  class="mdi mdi-account-outline text-gray-400 text-lg"></i></div>
                <input id="last-name"
                       name="last-name"
                       type="text"
                       required
                       minlength="2"
                       [(ngModel)]="user.lastName"
                       class="w-full -ml-10 pl-5 pr-3 py-2 rounded-3xl border-2 border-gray-200 outline-none focus:border-indigo-500"
                       placeholder="Smith">
              </div>
            </div>
          </div>
          <div class="flex -mx-3">
            <div class="w-full px-3 mb-12">
              <label for="username" class="text-xs font-semibold px-1">Nombre de usuario</label>
              <div class="flex">
                <div class="w-10 z-10 pl-1 text-center pointer-events-none flex items-center justify-center"><i
                  class="mdi mdi-lock-outline text-gray-400 text-lg"></i></div>
                <input id="username"
                       name="username"
                       type="text"
                       required
                       minlength="2"
                       [(ngModel)]="user.username"
                       class="w-full -ml-10 pl-5 pr-3 py-2 rounded-3xl border-2 border-gray-200 outline-none focus:border-indigo-500"
                       placeholder="jhon450">
              </div>
            </div>
          </div>
          <div class="flex -mx-3">
            <div class="w-full px-3 mb-5">
              <label for="email" class="text-xs font-semibold px-1">Correo</label>
              <div class="flex">
                <div class="w-10 z-10 pl-1 text-center pointer-events-none flex items-center justify-center"><i
                  class="mdi mdi-email-outline text-gray-400 text-lg"></i></div>
                <input id="email"
                       name="email"
                       type="email"
                       required
                       minlength="3"
                       pattern="[^ @]*@[^ @]*"
                       [(ngModel)]="user.email"
                       class="w-full -ml-10 pl-5 pr-3 py-2 rounded-3xl border-2 border-gray-200 outline-none focus:border-indigo-500"
                       placeholder="johnsmith@example.com">
              </div>
            </div>
          </div>
          <div class="flex -mx-3">
            <div class="w-full px-3 mb-5">
              <button
                type="submit"
                [ngClass]="{'bg-red-500 hover:bg-red-700': registerForm.form.valid, 'bg-gray-300': !registerForm.form.valid}"
                class="block w-full max-w-xs mx-auto text-white rounded-3xl px-3 py-3 font-semibold">
                {{loading ? 'Cargando...': 'Registrarse'}}
              </button>
            </div>
          </div>
          <p class="flex flex-col items-center justify-center mt-2 text-center text-md text-gray-500">
            <span>¿Ya tienes cuenta?</span>
            <a routerLink="/sign-in"
               class="font-medium text-gray-700 hover:text-red-900">
              Iniciar sesión</a>
          </p>
        </div>
      </form>
    </div>
  </div>
</div>
